<?
  include("../fnc.php");
  enlinea_c();
  
  
  switch($tipo_trn){
   case "Add":
   if(!$txtactiva){$txtactiva="N";}
   $id_gr=$_SESSION["grado_id"];
   $id_cr=$_SESSION["curso_id"];
   $id_se=$_SESSION["seccion_id"];
   $id_un=$_SESSION["unidad_id"];
   
   if(!$txtenlace or $txtenlace=="http://"){
     alert("Debe ingresar una dirección web","javascript:history.go(-1)");
   }
   $sql="insert into
         enlaces
         set url='$txtenlace',
         descripcion='$txtdescripcion',
         curso='$id_cr',
         grado='$id_gr',
         fecha='$fechahora',
         seccion='$id_se',
         unidad='$id_un',
         usuario='$uuser'";
   $ins=mysql_query($sql);
   $id_tr=mysql_insert_id();
   //alert("Enlace agregado con éxito","frm_enlace.php?gid=$gid&cid=$cid&nid=$nid&jid=$jid&sid=$sid");
   redireccionar("inicio.php#archivos");
   break; // fin de agregar una nueva tarea
   
   
   //********************** ACTUALIZACION **************************//
   case "Update":
   $id_gr=$_SESSION["grado_id"];
   $id_cr=$_SESSION["curso_id"];
   $id_se=$_SESSION["seccion_id"];
   $id_un=$_SESSION["unidad_id"];
   
   if(!$txtenlace or $txtenlace=="http://"){
      alert("Debe ingresar una dirección web","javascript:history.go(-1)");
   }
   $id_en=dec($ide);
   
   $sql="update
         enlaces
         set url='$txtenlace',
         descripcion='$txtdescripcion',
         usuario='$uuser'
         where id = $id_en";
   $ins=runsql($sql);
   //alert("Enlace actualizado con éxito","frm_enlace.php?gid=$gid&cid=$cid&sid=$sid&nid=$nid&jid=$jid");
   redireccionar("inicio.php#archivos");
   break;
  
   case "Delete":
       $id_e=dec($ide);
       
       $del=runsql("delete from enlaces where id = '$id_e'",1);
       redireccionar("inicio.php#archivos");
   break;
     
   default: alert("Parámetros incorrectos","javascript:history.go(-1)");
   break;
  }
?>
